#include <bits/stdc++.h>
#define K int(2e5 + 5)
#define INF ll(1e17)
#define MOD (long long)(1e9 + 7)
#define endl "\n"
using namespace std;
typedef unsigned int ui;
typedef long long ll;
typedef unsigned long long ull;

void solve(){
	int n; scanf("%d", &n);
	vector<pair<double, ll>> v(n);
	for (auto &i : v)
		scanf("%lld%lf", &i.second, &i.first);
	sort(v.begin(), v.end());
	for (int i = 1; i < n; i++)
		v[i].second += v[i - 1].second;
	double ans = 0, s;
	for (int i = 0; i < n; i++){
		s = v[n - 1].second - ((i > 0)? v[i - 1].second : 0);
		ans = max(ans, (v[i].first * s) / 100.0);
	}
	printf("%.4lf\n", ans);
}
 
int main(){
    //freopen("input.txt", "r", stdin);
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int t = 1;
    //cin >> t;
    while (t--)
        solve();
 
    return 0;
}